package ddp2_tp1.gui;

/**
 * Informasi.java
 * <br>
 * 
 * Class {@code Informasi} berfungsi menampilkan keterangan mengenai program.
 * <br><br>
 * Untuk keperluan Tugas 1, anda diharapkan memberikan keterangan
 * yang lengkap mengenai perbaikan yang anda buat.
 * 
 * @author  DPBO 2008 @ Fasilkom UI
 */
public class Informasi extends javax.swing.JDialog {
    
    /** Creates new form Informasi */
    public Informasi(java.awt.Frame parent, boolean modal) {
        super(parent, modal);
        initComponents();
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        labelTitle = new javax.swing.JLabel();
        labelInformasi = new javax.swing.JLabel();
        scrollPaneInformasi = new javax.swing.JScrollPane();
        textInformasi = new javax.swing.JTextArea();
        selesai = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);

        labelTitle.setFont(new java.awt.Font("Bradley Hand ITC", 0, 18));
        labelTitle.setText("Kura-kuraku");

        labelInformasi.setFont(new java.awt.Font("Book Antiqua", 0, 14));
        labelInformasi.setText("Penjelasan Tugas 1 DDP 2 2008");

        textInformasi.setColumns(20);
        textInformasi.setLineWrap(true);
        textInformasi.setRows(5);
        java.util.ResourceBundle bundle = java.util.ResourceBundle.getBundle("Kurakuraku"); // NOI18N
        textInformasi.setText(bundle.getString("penjelasan")); // NOI18N
        scrollPaneInformasi.setViewportView(textInformasi);

        selesai.setFont(new java.awt.Font("Arial", 0, 11));
        selesai.setText("Selesai");
        selesai.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                selesaiActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addContainerGap()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(scrollPaneInformasi, javax.swing.GroupLayout.DEFAULT_SIZE, 511, Short.MAX_VALUE)
                            .addComponent(selesai, javax.swing.GroupLayout.Alignment.TRAILING)))
                    .addGroup(layout.createSequentialGroup()
                        .addGap(203, 203, 203)
                        .addComponent(labelTitle))
                    .addGroup(layout.createSequentialGroup()
                        .addGap(159, 159, 159)
                        .addComponent(labelInformasi)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(labelTitle)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(labelInformasi)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(scrollPaneInformasi, javax.swing.GroupLayout.PREFERRED_SIZE, 264, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(selesai)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void selesaiActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_selesaiActionPerformed
        // TODO add your handling code here:
        setVisible(false);
}//GEN-LAST:event_selesaiActionPerformed
        
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel labelInformasi;
    private javax.swing.JLabel labelTitle;
    private javax.swing.JScrollPane scrollPaneInformasi;
    private javax.swing.JButton selesai;
    private javax.swing.JTextArea textInformasi;
    // End of variables declaration//GEN-END:variables
    
}
